# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           simple-ccsm
Version:        0.8.2
Release:        1%{?dist}
Summary:        Simplified plugin and configuration tool - Compiz Fusion Project

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.compiz-fusion.org

Source0:        http://releases.compiz.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel desktop-file-utils intltool gettext
Requires:       compizconfig-python ccsm pygtk2 python

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains a simplified gui configuration tool to 
configure Compiz plugins and the composite window manager. 

%prep
%setup -q

%build
#for some reason threads_init caused simple-ccsm to hang
sed -i 's|    gdk.threads_init()||g' simple-ccsm.in

%{__python} setup.py build --prefix %{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --prefix %{_prefix}
desktop-file-install \
      --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
      --remove-category="Compiz" \
      --delete-original \
      $RPM_BUILD_ROOT%{_datadir}/applications/simple-ccsm.desktop

%find_lang %{name}

%post
if [ -x /usr/bin/gtk-update-icon-cache ]; then
        /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun
if [ -x /usr/bin/gtk-update-icon-cache ]; then
        /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc VERSION COPYING INSTALL AUTHORS
%{_bindir}/simple-ccsm
%{_datadir}/applications/simple-ccsm.desktop
%{_datadir}/icons/hicolor/*/apps/simple-ccsm.*
%{_datadir}/simple-ccsm/
%{python_sitelib}/simple_ccsm-%{version}-py?.?.egg-info


%changelog
* Sat Nov 14 2009 Mohd Izhar Firdaus Ismail <kagesenshi.87@gmail.com> 0.8.2-1
- Update to 0.8.2
- added requires python 
- changed license to GPLv2+
- gdk.threads_init caused simple-ccsm 0.8.2 to hang, remove it for now

* Thu Dec 25 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.7.8-1
- Update to 0.7.8

* Thu Jan 10 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.99-1
- Initial package
